#!/usr/local/bin/perl
use strict;
use warnings;
use Test::Base;
use WWW::Mechanize::CGI;

my $mech = WWW::Mechanize::CGI->new;
$mech->cgi_application('calc.cgi');

sub Test::Base::Filter::exec_cgi {
    my $self = shift;
    my $i = 1;
    my $uri = URI->new('http://localhost/');
    $uri->query_form({ map { sprintf("v%d", $i++) => $_ } @_ });

    my $res = $mech->get($uri);
    my $html = $res->content or return;

    $html =~ m!<p>(\d+)</p>!isx;
    $1;
}

filters {
    input => [qw/eval exec_cgi/],
}

__END__
===
--- input: 1, 2
--- expect: 3

===
--- input: 1, 2, 3
--- expect: 6

===
--- input: 0, 0, 0, 0
--- expect: 0
