package Net::IP::Next;
use strict;
use warnings;
use Socket qw/inet_aton inet_ntoa/;
use Exporter::Lite;

our @EXPORT_OK = qw/next_addr/;

sub next_addr ($) {
    my $ip = shift;
    my $bin = unpack("N", inet_aton($ip));
    inet_ntoa pack("N", _binadd($bin, 1));
}

sub _binadd {
    my ($x, $y) = @_;
    my ($s, $c);
    do {
        $s = $x ^ $y;
        $c = ($x & $y) << 1;
        $x = $s;
        $y = $c;
    } while ($y != 0);

    return $x;
}

1;
