use Test::More tests => 3;
use Text::Hatena;

my $hatena = Text::Hatena;
is $hatena->parse("*Hello\nGood Bye"), <<EOF;
<div class="section">
<h3>Hello</h3>
<p>Good Bye</p>
</div>
EOF

my $text = <<EOF;
-foo
-bar
-baz
EOF

is $hatena->parse($text), <<EOF;
<div class="section">
<ul>
<li>foo</li>
<li>bar</li>
<li>baz</li>
</ul>
</div>
EOF

$text = <<EOF;
>>
I Am the Walrus.
<<
EOF

is $hatena->parse($text), <<EOF;
<div class="section">
<blockquote>
<p>I Am the Walrus.</p>
</blockquote>
</div>
EOF
